Bug 295971 (CVE-2007-4965) - CVE-2007-4965 python imageop module heap corruption
Summary: CVE-2007-4965 python imageop module heap corruption
Keywords:
Status: ON_QA
Alias: CVE-2007-4965
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On: 373281 392031 392041 392051 430872 436512 440511 449461 486351 486352 537915
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-09-19 08:41 UTC by Tomas Hoger
Modified: 2021-11-12 19:44 UTC (History)
3 users (show)

Fixed In Version: 2.5-14.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-29 19:03:23 UTC


Attachments (Terms of Use)
Initial attempt at a fix for CVE 2007 4965 (6.57 KB, patch)
2007-09-19 21:10 UTC, James Antill
no flags Details | Diff
Fix typo in initial patch (6.57 KB, patch)
2007-09-19 22:06 UTC, James Antill
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1076 0 normal SHIPPED_LIVE Moderate: python security update 2007-12-10 18:41:24 UTC
Red Hat Product Errata RHSA-2008:0264 0 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-05-20 14:16:00 UTC
Red Hat Product Errata RHSA-2008:0525 0 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-06-30 15:36:03 UTC
Red Hat Product Errata RHSA-2008:0629 0 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-08-13 14:16:13 UTC
Red Hat Product Errata RHSA-2009:1176 0 normal SHIPPED_LIVE Moderate: python security update 2009-07-27 09:22:50 UTC

Description Tomas Hoger 2007-09-19 08:41:17 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4965 to the following vulnerability:

Multiple integer overflows in the imageop module in Python 2.5.1 and earlier
allow context-dependent attackers to cause a denial of service (application
crash) and possibly obtain sensitive information (memory contents) via crafted
arguments to (1) the tovideo method, and unspecified other vectors related to
(2) imageop.c, (3) rbgimgmodule.c, and other files, which trigger heap-based
buffer overflows.

References:
http://lists.grok.org.uk/pipermail/full-disclosure/2007-September/065826.html
http://www.securityfocus.com/bid/25696

Upstream bug report for the issue:
http://bugs.python.org/issue1179

Comment 1 James Antill 2007-09-19 21:10:04 UTC
Created attachment 200091 [details]
Initial attempt at a fix for CVE 2007 4965

 I've uploaded this upstream too ... I'm not convinced it's everything that is
needed, so any security team review would be nice :)

Comment 2 James Antill 2007-09-19 22:06:56 UTC
Created attachment 200211 [details]
Fix typo in initial patch

 Of course, initial patch had a typo in it.

Comment 3 James Antill 2007-10-19 16:15:29 UTC
 This should now be fixed, please test.


Comment 7 Fedora Update System 2007-10-24 07:17:42 UTC
python-2.5-14.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python'

Comment 8 Fedora Update System 2007-10-29 19:03:19 UTC
python-2.5-14.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Lubomir Kundrak 2007-11-09 17:55:52 UTC
James, please do an update for FC6 also, use 373281 for it. Thanks!

Comment 10 James Antill 2007-11-09 19:30:18 UTC
 So given this applies to FC-6 and we want to fix that ... I assume we want to
fix RHEL-5 too? (very close to FC-6 python). I've put the patch in there too,
but I need a BZ with flags etc.
 RHEL-4 looks vulnerable too, as does RHEL-3.

Comment 15 Red Hat Product Security 2008-01-16 09:03:34 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1076.html (RHEL3, RHEL4)

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2663

Comment 21 errata-xmlrpc 2009-07-27 09:23:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html


Note You need to log in before you can comment on or make changes to this bug.